Skip to content

Get Charger

GET
/tenant/{tenant}/charger/{chargerId}
curl --request GET \
--url https://api.exolink.cloud/tenant/example/charger/1 \
--header 'Authorization: Bearer <token>'

Get details of a specific charger

tenant
required
string
chargerId
required
integer

Charger details

Media typeapplication/json
object
id

Unique identifier for the charger

integer
tenantId

ID of the tenant that owns this charger

integer
profileId

ID of the configuration profile associated with this charger

integer
displayName

User-friendly name for the charger

string
provisioned

Indicates whether the charger has been discovered and configured

boolean
identity

Unique identity string used for OCPP communication

string
chargeBoxSerialNumber

Serial number of the charge box hardware

string
chargePointSerialNumber

Serial number of the charge point

string
meterSerialNumber

Serial number of the integrated energy meter

string
chargePointModel

Model identifier of the charge point

string
chargePointVendor

Manufacturer or vendor of the charge point

string
firmwareVersion

Current firmware version running on the charger

string
iccid

Integrated Circuit Card Identifier for the SIM card (if applicable)

string
imsi

International Mobile Subscriber Identity for cellular connectivity (if applicable)

string
meterType

Type or model of the energy meter

string
status

Current operational status of the charger

Allowed values: BLOCKED NONE
createdAt

Timestamp when the charger record was created

string
updatedAt

Timestamp when the charger record was last updated

string
deletedAt

Timestamp when the charger record was soft-deleted (null if active)

string
profileName

Name of the configuration profile associated with this charger

string
chargerConnected

Indicates whether the charger is currently connected to the platform

boolean
cpmsConnected

Indicates whether the charger is currently connected to the CPMS backend

boolean
cpmsName

Name(s) of the CPMS backend(s) this charger is connected to

string
cpmsUrl

WebSocket URL(s) of the CPMS backend(s) this charger is connected to

string
Example
{
"id": 1,
"tenantId": 1,
"profileId": 1,
"displayName": "My Charger",
"provisioned": false,
"identity": "TEST",
"chargeBoxSerialNumber": 12345,
"chargePointSerialNumber": 12345,
"chargePointModel": "KC-P30-EC2404B2-E00",
"chargePointVendor": "Keba AG",
"firmwareVersion": "1.0.0",
"status": "BLOCKED",
"createdAt": "2025-10-15T15:19:50.834Z",
"updatedAt": "2025-10-15T15:19:50.834Z",
"deletedAt": "2025-10-15T15:19:50.834Z",
"profileName": "Loadtest Profile",
"cpmsName": "MyCPMS",
"cpmsUrl": "wss://cpms.exolink.com"
}